Re: [PATCH] [GSOC] ref-filter: use single strbuf for all output

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



ZheNing Hu <adlternative@xxxxxxxxx> 于2021年4月6日周二 下午5:49写道:
> But this is the first time I use `t/perf/*` and there is a little problem.
> It seem like whatever I run single script like `sh ./p0007-write-cache.sh`
> or just `make` or `./run ${HOME}/git -- ./p0002-read-cache.sh` , these
> tests will fail.
>
It's because I don't have /usr/bin/time, solved after installation.
So best have this:

--- a/t/perf/perf-lib.sh
+++ b/t/perf/perf-lib.sh
@@ -152,6 +152,10 @@ immediate=t
 # Perf tests require GNU time
 case "$(uname -s)" in Darwin) GTIME="${GTIME:-gtime}";; esac
 GTIME="${GTIME:-/usr/bin/time}"
+if ! test -f "$GTIME"
+then
+       error "command not found: "$GTIME""
+fi

Thanks.
--
ZheNing Hu




[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]

  Powered by Linux